import os
import sys
sys.path.append(os.path.dirname(__file__))

sys.dont_write_bytecode = True

import svustfix

def process_all_ust_files():
    input_dir = os.path.join(os.getcwd(), "input")
    output_dir = os.path.join(os.getcwd(), "output")
    
    # 出力ディレクトリが存在しない場合は作成する
    if not os.path.exists(output_dir):
        os.makedirs(output_dir)
    
    for root, dirs, files in os.walk(input_dir):
        for file in files:
            if file.endswith(".ust"):
                full_path = os.path.join(root, file)
                #print(f'処理中のファイル: {full_path}')
                svustfix.svust_fix(full_path)

if __name__ == "__main__":
    process_all_ust_files()
#このファイル全部chatgptに書かせたわ